import request from '@/utils/request'

// 查询usermargin列表
export function listMarginlist(query) {
  return request({
    url: '/system/marginlist/list',
    method: 'get',
    params: query
  })
}

// 查询usermargin详细
export function getMarginlist(id) {
  return request({
    url: '/system/marginlist/' + id,
    method: 'get'
  })
}

// 新增usermargin
export function addMarginlist(data) {
  return request({
    url: '/system/marginlist',
    method: 'post',
    data: data
  })
}

// 修改usermargin
export function updateMarginlist(data) {
  return request({
    url: '/system/marginlist',
    method: 'put',
    data: data
  })
}

// 删除usermargin
export function delMarginlist(id) {
  return request({
    url: '/system/marginlist/' + id,
    method: 'delete'
  })
}
